Arch Malla a forma

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Arch MeshToShape and the translation is 27% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎svenska • ‎čeština • ‎русский
Arrow-left.svg Arch SplitMesh.svg Split Mesh Anterior:

Arch MeshToShape.svg Arch Malla a forma

Ubicación en el Menú
Arquitectura → Utilidades → Malla a forma
Entornos de trabajo
Arquitectura
Atajo de teclado por defecto
None
Introducido en versión
-
Ver también
Arch SplitMesh/es, Eliminar forma


Descripción

Esta herramienta convierte un objeto Malla seleccionado en un objeto Forma. Esta herramienta está optimizada para objetos con caras planas (no curvas). La herramienta correspondiente del entorno de pieza podría ser más adecuada para objetos que contienen superficies curvas.

This tool is optimized for objects with flat faces (no curves). The corresponding tool Part ShapeFromMesh.svg Part ShapeFromMesh from the Workbench Part.svg Part Workbench might be more suited for objects that contain curved surfaces.

Utilización

  1. Selecciona un objeto malla
  2. Presiona Arch MeshToShape.png Malla a forma en el menú Arquitectura → Menú utilitarios

Properties

Limitations

Programación

Esta herramienta se puede utilizar en macros y desde la consola de Python por medio de las siguientes funciones:

new_obj = meshToShape(obj, mark=True, fast=True, tol=0.001, flat=False, cut=True)
Covierte una malla en una forma, juntando las caras coplanares.

Example:

import Arch, Mesh, BuildRegularGeoms

Box = FreeCAD.ActiveDocument.addObject("Mesh::Cube", "Cube")
Box.Length = 1000
Box.Width = 2000
Box.Height = 1000
FreeCAD.ActiveDocument.recompute()

new_obj = Arch.meshToShape(Box)
Arrow-left.svg Arch SplitMesh.svg Split Mesh Anterior: